from abc import ABC, abstractmethod
from modelsMaze import Maze

class MazeBuilder(ABC):
    """Интерфейс строителя лабиринта (паттерн Builder)."""
    
    @abstractmethod
    def build_from_file(self, filename: str) -> Maze:
        """Загрузить лабиринт из файла."""
        pass
